## golang-github-compose-spec-compose-go 2.4.7

=== debian/changelog ===
golang-github-compose-spec-compose-go (2.4.7-2) unstable; urgency=medium

  [ Nicolas Peugnet ]
  * Add missing statement to the copyright file

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 14 Feb 2025 08:29:37 -0500

golang-github-compose-spec-compose-go (2.4.7-1) unstable; urgency=medium

  * Initial release (Closes: #1095772)

 -- Nicolas Peugnet <nicolas@club1.fr>  Wed, 12 Feb 2025 00:52:52 +0100

## golang-github-compose-spec-compose-go 2.4.8

=== Makefile ===
#   Copyright 2020 The Compose Specification Authors.

#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at

#       http://www.apache.org/licenses/LICENSE-2.0

#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.

IMAGE_PREFIX=composespec/conformance-tests-

ifeq ($(OS),Windows_NT)
	BINARY_EXT=.exe
endif

.PHONY: build
build: ## Build command line
	go build -o bin/compose-spec-$(GOOS)-$(GOARCH)$(BINARY_EXT) cmd/main.go

.PHONY: test
test: ## Run tests
	gotestsum ./...

.PHONY: fmt
fmt: ## Format go files
	go fmt ./...

.PHONY: deepcopy
deepcopy:
	goderive -h >/dev/null 2>&1 || go install github.com/awalterschulze/goderive@0a721d5b1d722ae6ba0dddefa1200607ca3ece97
	goderive ./types/...

.PHONY: build-validate-image
build-validate-image:
	docker build . -f ci/Dockerfile -t $(IMAGE_PREFIX)validate

.PHONY: lint
lint: build-validate-image
	docker run --rm $(IMAGE_PREFIX)validate bash -c "golangci-lint run --config ./.golangci.yml ./..."

.PHONY: check-license
check-license: build-validate-image
	docker run --rm $(IMAGE_PREFIX)validate bash -c "./scripts/validate/fileheader"

.PHONY: setup
setup: ## Setup the precommit hook
	@which pre-commit > /dev/null 2>&1 || (echo "pre-commit not installed see README." && false)
	@pre-commit install

=== debian/changelog ===
golang-github-compose-spec-compose-go (2.4.8-1) unstable; urgency=medium

  * New upstream version
  * Make gbp import-orig automatically link to upstream's tags
  * Skip tests that require network access

 -- Nicolas Peugnet <nicolas@club1.fr>  Sat, 15 Feb 2025 17:32:15 +0100

=== debian/control ===
Source: golang-github-compose-spec-compose-go
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nicolas Peugnet <nicolas@club1.fr>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-distribution-reference-dev,
               golang-github-docker-go-connections-dev,
               golang-github-docker-go-units-dev,
               golang-github-go-viper-mapstructure-dev,
               golang-github-google-go-cmp-dev,
               golang-github-gotestyourself-gotest.tools-dev,
               golang-github-mattn-go-shellwords-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-stretchr-testify-dev,
               golang-github-xeipuuv-gojsonschema-dev,
               golang-golang-x-exp-dev,
               golang-golang-x-sync-dev,
               golang-gopkg-yaml.v3-dev,
               golang-logrus-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-compose-spec-compose-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-compose-spec-compose-go.git
Homepage: https://github.com/compose-spec/compose-go
XS-Go-Import-Path: github.com/compose-spec/compose-go

Package: golang-github-compose-spec-compose-go-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-distribution-reference-dev,
         golang-github-docker-go-connections-dev,
         golang-github-docker-go-units-dev,
         golang-github-go-viper-mapstructure-dev,
         golang-github-google-go-cmp-dev,
         golang-github-mattn-go-shellwords-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-xeipuuv-gojsonschema-dev,
         golang-golang-x-exp-dev,
         golang-golang-x-sync-dev,
         golang-gopkg-yaml.v3-dev,
         golang-logrus-dev,
         ${misc:Depends},
Description: Go reference library for parsing and loading Compose YAML files
 The Compose Specification lets you define a platform-agnostic container
 based application. Such an application is designed as a set of containers
 which have to both run together with adequate shared resources and
 communication channels.
 .
 This is the Go reference library for parsing and loading Compose files
 as specified by the Compose specification.
 (https://github.com/compose-spec/compose-spec)

Package: compose-spec
Section: admin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: Validates a compose file conforms to the Compose Specification
 The Compose Specification lets you define a platform-agnostic container
 based application. Such an application is designed as a set of containers
 which have to both run together with adequate shared resources and
 communication channels.
 .
 compose-spec is a program to validate that a compose file conforms to the
 Compose Specification.

=== debian/rules ===
#!/usr/bin/make -f

# Additionally load files required by the testsuite.
export DH_GOLANG_INSTALL_EXTRA := schema loader dotenv/fixtures

%:
	dh $@ --builddirectory=debian/build --buildsystem=golang

override_dh_auto_install:
# Rename the binary to the correct name.
	mv -v debian/build/bin/cmd debian/build/bin/compose-spec
	dh_auto_install

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/compose-spec/compose-go/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-compose-spec-compose-go 2.9.1

=== debian/changelog ===
golang-github-compose-spec-compose-go (2.9.1-1) experimental; urgency=medium

  * New upstream version 2.9.1
  * Rediff patches
  * Update dependencies list after new version import
  * Install new missing test data in the build directory
  * Add manpage for compose-spec
  * Update debian/watch to version 5
  * Remove control fields that are not recommended any more
  * Bump Standards-Version to 4.7.3 (no changes needed)
  * Enable Salsa CI
  * Update copyright years

 -- Nicolas Peugnet <nicolas@club1.fr>  Tue, 20 Jan 2026 21:50:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: golang-github-compose-spec-compose-go
 Section: golang
-Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Nicolas Peugnet <nicolas@club1.fr>,
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
@@ -15,14 +13,15 @@
                golang-github-gotestyourself-gotest.tools-dev,
                golang-github-mattn-go-shellwords-dev,
                golang-github-opencontainers-go-digest-dev,
+               golang-github-santhosh-tekuri-jsonschema-dev (>= 6),
+               golang-github-sirupsen-logrus-dev,
                golang-github-stretchr-testify-dev,
-               golang-github-xeipuuv-gojsonschema-dev,
-               golang-golang-x-exp-dev,
+               golang-github-xhit-go-str2duration-dev,
                golang-golang-x-sync-dev,
+               golang-golang-x-text-dev,
                golang-gopkg-yaml.v3-dev,
-               golang-logrus-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-compose-spec-compose-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-compose-spec-compose-go.git
 Homepage: https://github.com/compose-spec/compose-go
@@ -36,13 +35,16 @@
          golang-github-docker-go-units-dev,
          golang-github-go-viper-mapstructure-dev,
          golang-github-google-go-cmp-dev,
+         golang-github-gotestyourself-gotest.tools-dev,
          golang-github-mattn-go-shellwords-dev,
          golang-github-opencontainers-go-digest-dev,
-         golang-github-xeipuuv-gojsonschema-dev,
-         golang-golang-x-exp-dev,
+         golang-github-santhosh-tekuri-jsonschema-dev (>= 6),
+         golang-github-sirupsen-logrus-dev,
+         golang-github-stretchr-testify-dev,
+         golang-github-xhit-go-str2duration-dev,
          golang-golang-x-sync-dev,
+         golang-golang-x-text-dev,
          golang-gopkg-yaml.v3-dev,
-         golang-logrus-dev,
          ${misc:Depends},
 Description: Go reference library for parsing and loading Compose YAML files
  The Compose Specification lets you define a platform-agnostic container

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # Additionally load files required by the testsuite.
-export DH_GOLANG_INSTALL_EXTRA := schema loader dotenv/fixtures
+export DH_GOLANG_INSTALL_EXTRA := schema loader dotenv/fixtures types/fixtures
 
 %:
 	dh $@ --builddirectory=debian/build --buildsystem=golang

=== debian/watch ===
Version: 5

Template: Github
Owner: compose-spec
Project: compose-go
Uversion-Mangle: auto
